Subject: Re: [PATCH 29/32] rt2x00: dscape compatibilitiy

From: Ivo van Doorn <[email-masked]>
Date: Fri, 28 Apr 2006 15:43:48 +0200

On Friday 28 April 2006 13:12, Jiri Benc wrote:
> On Fri, 28 Apr 2006 00:03:19 +0200, Ivo van Doorn wrote:
> > Latest dscape patches have broken rt2x00,
> > fix compile issues, and support the new features.
> 
> > @@ -2466,6 +2568,7 @@ rt2500pci_init_hw(struct rt2x00_pci *rt2
> >  	hw->no_tkip_wmm_hwaccel = 1;
> >  	hw->extra_hdr_room = 0;
> >  	hw->device_strips_mic = 0;
> > +	hw->monitor_during_oper = 1;
> 
> You should not set this to 1 if you support only one interface at a
> time. Please add support for concurrent running of one regular (i.e.
> STA, IBSS, AP, WDS) interface plus arbitrary number of monitor
> interfaces or set monitor_during_oper to 0.
> 
> (Yes, I know, I definitely must reserve some time to write a
> documentation about monitor mode support.)

My fault, this was a leftover from my initial patch for the dscape update.
I actually had written some code to indeed allow multiple monitor
mode interfaces. But I spotted some problems with it, and removed the code
and planned to rewrite it later after I had send this code series.
I'll create a quick patch to correctly set the monitor_during_oper variable,
because the patch for correct monitor mode behaviour might take some time.